Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.linearref
Class LinearGeometryBuilder

    java.lang.Object
      com.vividsolutions.jts.linearref.LinearGeometryBuilder

    public class LinearGeometryBuilder

extends java.lang.Object

Builds a linear geometry (`LineString` or `MultiLineString`) incrementally (point-by-point).

Version:
  1.7

Constructor Summary
`LinearGeometryBuilder(GeometryFactory geomFact)`

Method Summary
`void` | `add(Coordinate pt)` Adds a point to the current line.
`void` | `add(Coordinate pt, boolean allowRepeatedPoints)` Adds a point to the current line.
`void` | `endLine()` Terminate the current LineString.
`Geometry` | `getGeometry()`
`Coordinate` | `getLastCoordinate()`
`void` | `setFixInvalidLines(boolean fixInvalidLines)` Allows invalid lines to be ignored rather than causing Exceptions.
`void` | `setIgnoreInvalidLines(boolean ignoreInvalidLines)` Allows invalid lines to be ignored rather than causing Exceptions.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LinearGeometryBuilder

    public LinearGeometryBuilder(GeometryFactory geomFact)

Method Detail

### setIgnoreInvalidLines

    public void setIgnoreInvalidLines(boolean ignoreInvalidLines)

  Allows invalid lines to be ignored rather than causing Exceptions. An invalid line is one which has only one unique point.

  Parameters:
    `ignoreInvalidLines` - `true` if short lines are to be ignored

### setFixInvalidLines

    public void setFixInvalidLines(boolean fixInvalidLines)

  Allows invalid lines to be ignored rather than causing Exceptions. An invalid line is one which has only one unique point.

  Parameters:
    `fixInvalidLines` - `true` if short lines are to be ignored

### add

    public void add(Coordinate pt)

  Adds a point to the current line.

  Parameters:
    `pt` - the Coordinate to add

### add

    public void add(Coordinate pt,
                    boolean allowRepeatedPoints)

  Adds a point to the current line.

  Parameters:
    `pt` - the Coordinate to add

### getLastCoordinate

    public Coordinate getLastCoordinate()

### endLine

    public void endLine()

  Terminate the current LineString.

### getGeometry

    public Geometry getGeometry()

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD